Subject: This is my love. Although I did not find him dead, the impact has and will last forever. Let me go back a few years. Joey & I met in kindergarten. (C
From: Life is Beautiful <[email-masked]>
To: [email-masked]
Date: Tue, 15 Dec 2020 08:19:24 +0000

Trending Stories from Life is Beautiful

-----

This is my love. Although I did not find him dead, the impact has and will last forever. Let me go back a few years.

Joey & I met in kindergarten. (Crazy right, I’m 31 now) it’s actually odd, but I remember him vividly in kindergarten being dropped 

This is my love. Although I did not find him dead, the impact has and will last forever. Let me go back a few years.

Joey & I met in kindergarten. (Crazy right, I’m 31 now) it’s actually odd, but I remember him vividly in kindergarten being dropped off in the front of school by his mom. I was 6, but when I saw his face my soul was instantly glued to his. His mom drove a beautiful white Cadillac - (don’t ask me how I remember that) and his hair was slicked back…Nevertheless, we became friends, and remained the best of friends throughout our lives. We attended all the same schools, from pre-k to high school. Our circle of friends was always the same, and we both were rebels which made us love eachother even more. I truly loved that about him, that he was the ying to my yang. I’m a rebel at heart, and he went along with all my adventures and made my heart thump, flutter and jump. Growing up, he would come to my parents house and have dinner with them, he would mow the lawn for my dad, and plow the snow in the winter. He actually stopped traffic once on a busy street so my brother could pull into the parking lot 🤦🏽‍♀️ That’s the type of man he was, and I admired him so much for his never ending effort to make me feel like his queen.

Fast forward to our last year in high school. Joey was with the wrong people, and unfortunately was sent away for a crime he did not commit. Yes we were rebels, but never in a manner that would hurt, harm or be negative. He was 17 when he went away, and I cried and cried and cried. He was my rock during that time and he was the one who wasn’t here! I made sure to visit him, send him whatever he needed, and maintained our relationship. Although throughout the years, we both dated other people, we always came back together so natural and with ease.

After Joey was finally released, he was 22. When we were younger, he was a bigger guy, but when he came home, I fell in love all over again. He looked so different, so healthy, so grown. From the day he came home, onward, we were inseparable. Our love grew into a relationship rather than a friendship, and it was amazing.

we traveled, we laughed, we shared our deepest and darkest secrets. We had plans to move in together and start our life. I told him I wanted a Cadillac, the next day he brought me to the dealer and bought a Cadillac. It was for himself 🤣, but I whipped it around like I owned it. Anything to make me happy he always preached. He was my protector, always looking out for me. We were young kids, living a wild life on the edge and we loved every minute of it. He was never judge mental of me or anything I wanted to do, nor was I of him. We experimented, we trusted eachother, we felt invincible- but we were young and naive.

On February 24, 2016 exactly one week after my 26th birthday, I got a call from joeys mom that he had passed away. He died at 26 years old, it was a tragedy for me and everyone who loved him. It was 7am when I had received the call, and I had just left him the night before so the shock and disbelief was all I could replay in my mind. I remember exactly where I was, what I was wearing and what I was doing. I didn’t know what to feel or think, my first instinct was to call him. My heart was shattered, I didn’t know where to turn or what to do. I wanted to be with him and go wherever he was. I remember not being able to catch my breathe, I fainted, and when I woke I could not wrap my head around the situation.

Although I did not find him, the impact of him being ripped from me will forever be a part of me. It’s a feeling I can not describe, and would not wish on I got such a migraine anyone. Since than, I have dated, and have had a long term relationship- but my soul is and will always be with Joey. During the time of his passing, I became depressed, way too skinny, and sad all the time. My brothers were very close to him, and felt the loss too. Thankfully my brothers helped me out of my depression and 4 years later I am truly happy. The pain of losing my love never goes away, I just find ways to cope.

I know that he is always with me, I can feel him around. He sends me signs daily, and visits in my dreams so frequent i can’t help but cry. Random memories pop into my head and I know that it’s him. It has been 4 years, and my heart still aches for him saying hello. To be honest, I miss the little things the most. I miss making him his coffee in the morning (always black never sugar), I miss the warmth of his hugs and how I would just fall into his chest and the world stopped. I miss his spontaneous charm, his voice, and our love. I know one day I will marry and have a family, but Joey will always be beside me.

I can honestly say that this man was one of the greatest men I have ever known. I knew him practically my entire life. He was my best friend, my love, and my Ride or die till the end. I know it’s so hard losing someone, but knowing and acknowledging signs from people we have lost brings peace and ease to my mind and heart. Not a day goes by that he’s not on my mind, and I truly know in my heart that we were soulmates from the beginning of life…. I can only hope & believe that in our next life we will find Each other and start our journey again! I hope this helps anyone who has lost someone! ☮️
-----
❤❤❤

❤❤❤

-----
Question: Why is Islam such a violent ideology?

Answer from Jean-Marie Valheur

When I was a young man in a foreign country, I had few friends initially. Until I met a Pakistani man. His name was Feroz. He was a Muslim. And he was one of the kindest, swee
Read More: http://www.quora.com/Why-is-Islam-such-a-violent-ideology-1?top_ans=252910783
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/track_click?aoid&aoty=14&aty=4&cp=0&ct=1608020363743151&et=146&id=a28f4dc667ec45de9acd09c1c246f4b1&notif_type=418&request_id=418&snid=15068855559&src=1&st=1608020363758073&stories=%5B(%3Cstory_types.tribe_post%3A+10%3E%2C+16714945)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+16318496)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+16695885)%5D&tribe_item_ids=850QZmZVl4D%7CjiKjOLAuL52%7C4fv8etm3Ut6&uid=oaI5nJBvtz4&v=0

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=a28f4dc667ec45de9acd09c1c246f4b1&t=1608020363818212&token=b26ecbb7f0933ac3fe75e106c7ded6e5e35e95237c4e7644b93bde957cd12d22509fa26413c6ef13be25d0321cef27625ca7653fd10bed57afe5421eeecb4615&type=146&uid=1229773278